drop table if exists Training;

create table Training (
    TrainingID integer primary key,
    ECN integer not null,
    Status integer default 0,
    CompletedDate text
);

insert into Training (ECN)
values (1), (2), (3), (4), (5), (6), (7), (8), (9);

drop table if exists TrainingAssignments;

create table TrainingAssignments (
    ID integer primary key,
    UserID integer not null,
    DateAssigned text not null,
    TrainingID integer not null,
    Deleted integer default 0,
    status integer default 0,
    DeletedDate text,
    LastNotification text
);

insert into TrainingAssignments (TrainingID, UserID, DateAssigned)
values (1, 1, '2024-02-01 00:00:00.000'), 
(1, 11, '2024-04-01 00:00:00.000'), 
(2, 23, '2024-02-01 00:00:00.000'), 
(2, 18, '2024-02-01 00:00:00.000'), 
(3, 5, '2024-02-01 00:00:00.000'), 
(3, 25, '2024-02-01 00:00:00.000'), 
(4, 15, '2024-04-01 00:00:00.000'), 
(4, 12, '2024-02-01 00:00:00.000'), 
(5, 9, '2024-02-01 00:00:00.000'), 
(5, 19, '2024-02-01 00:00:00.000'), 
(6, 13, '2024-02-01 00:00:00.000'), 
(6, 3, '2024-04-01 00:00:00.000'),
(7, 29, '2024-02-01 00:00:00.000'), 
(7, 17, '2024-02-01 00:00:00.000'), 
(8, 8, '2024-02-01 00:00:00.000'), 
(8, 4, '2024-02-01 00:00:00.000'), 
(9, 17, '2024-02-01 00:00:00.000'), 
(9, 16, '2024-04-01 00:00:00.000');

drop table if exists TrainingDocAcks;

create table TrainingDocAcks (
    ID integer primary key,
    TrainingAssignmentID integer not null,
    Reviewed integer default 0,
    Deleted integer default 0,
    DeletedDate text
);

insert into TrainingDocAcks (TrainingAssignmentID)
values (1), (1), (2), (2), (3), (3), (4), (4), (5), (5), (6), (6),
(7), (7), (8), (8), (9), (9);